com.pixelmed.dicom

## Class SetOfDicomFiles.DicomFile

- java.lang.Object
- - com.pixelmed.dicom.SetOfDicomFiles.DicomFile

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  SetOfDicomFiles

    public class SetOfDicomFiles.DicomFile
    extends java.lang.Object
    implements java.lang.Comparable

### Constructor Summary

Constructors
Constructor and Description
`SetOfDicomFiles.DicomFile(java.lang.String fileName)` Store a description a DICOM file by reading its metaheader, +/- entire attribute list, as necessary.
`SetOfDicomFiles.DicomFile(java.lang.String fileName, AttributeList list)`
`SetOfDicomFiles.DicomFile(java.lang.String fileName, AttributeList list, boolean keepList)`
`SetOfDicomFiles.DicomFile(java.lang.String fileName, boolean keepList)` Store a description a DICOM file by reading its metaheader, +/- entire attribute list, as necessary.
`SetOfDicomFiles.DicomFile(java.lang.String fileName, boolean keepList, boolean keepPixelData)` Store a description a DICOM file by reading its metaheader, +/- entire attribute list, as necessary.
`SetOfDicomFiles.DicomFile(java.lang.String fileName, java.lang.String sopClassUID, java.lang.String sopInstanceUID, java.lang.String transferSyntaxUID)`

### Method Summary

Methods
`int` `compareTo(java.lang.Object o)`
`AttributeList` `getAttributeList()`
`java.lang.String` `getFileName()`
`java.lang.String` `getSOPClassUID()`
`java.lang.String` `getSOPInstanceUID()`
`java.lang.String` `getTransferSyntaxUID()`
`int` `hashCode()`
`java.lang.String` `toString()` Return a String representing this object's value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SetOfDicomFiles.DicomFile

    public SetOfDicomFiles.DicomFile(java.lang.String fileName,
                             java.lang.String sopClassUID,
                             java.lang.String sopInstanceUID,
                             java.lang.String transferSyntaxUID)

#### SetOfDicomFiles.DicomFile

    public SetOfDicomFiles.DicomFile(java.lang.String fileName,
                             AttributeList list)

#### SetOfDicomFiles.DicomFile

    public SetOfDicomFiles.DicomFile(java.lang.String fileName,
                             AttributeList list,
                             boolean keepList)

#### SetOfDicomFiles.DicomFile

    public SetOfDicomFiles.DicomFile(java.lang.String fileName)

Store a description a DICOM file by reading its metaheader, +/- entire attribute list, as necessary.

Parameters:
  `fileName` - a DICOM file

#### SetOfDicomFiles.DicomFile

    public SetOfDicomFiles.DicomFile(java.lang.String fileName,
                             boolean keepList)

Store a description a DICOM file by reading its metaheader, +/- entire attribute list, as necessary.

Parameters:
  `fileName` - a DICOM file
  `keepList` - whether or not to keep the entire attribute list (including pixel data) memory resident

#### SetOfDicomFiles.DicomFile

    public SetOfDicomFiles.DicomFile(java.lang.String fileName,
                             boolean keepList,
                             boolean keepPixelData)

Store a description a DICOM file by reading its metaheader, +/- entire attribute list, as necessary.

Parameters:
  `fileName` - a DICOM file
  `keepList` - whether or not to keep the entire attribute list (excluding pixel data unless requested) memory resident
  `keepPixelData` - whether or not to keep the pixel data memory resident as well

### Method Detail

#### getFileName

    public java.lang.String getFileName()

#### getSOPClassUID

    public java.lang.String getSOPClassUID()

#### getSOPInstanceUID

    public java.lang.String getSOPInstanceUID()

#### getTransferSyntaxUID

    public java.lang.String getTransferSyntaxUID()

#### getAttributeList

    public AttributeList getAttributeList()

#### compareTo

    public int compareTo(java.lang.Object o)

Specified by:
  `compareTo` in interface `java.lang.Comparable`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Return a String representing this object's value.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  a string representation of the value of this object